=== debian/changelog ===
plasma-workspace (4:5.12.4-0ubuntu3) bionic; urgency=medium

  * Add patches requested by upstream KDE to fix the weather applet
    BBC provider after BBC url changes.
    - d/p: upstream_fix-weather-applet-BBC-provider-01.patch
    - dp/: upstream_fix-weather-applet-BBC-provider-02.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 31 Mar 2018 14:39:28 +0100

plasma-workspace (4:5.12.4-0ubuntu2) bionic; urgency=medium

  * debian/patches: upstream_fix-Klipper-notifications.patch
    Fixes KDE Bug: 390375 - can be dropped in 5.12.5

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 30 Mar 2018 13:49:15 +0100

plasma-workspace (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)
  * Remove unused qttools5-dev-tools runtime dep

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:55:04 +0100

plasma-workspace (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:12 +0000

plasma-workspace (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * Update install file for renamed runner desktop files.
  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:47 +0000

plasma-workspace (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:49 +0000

plasma-workspace (4:5.12.0a-0ubuntu2) bionic; urgency=medium

  * Disable failing test; investigate and fix for .1 release

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 07 Feb 2018 09:16:05 +0000

plasma-workspace (4:5.12.0a-0ubuntu1) bionic; urgency=medium

  * Install new desktop file for system monitor
  * New library package for libcolorcorrect, and install development
    files and plugin
  * New upstream release (5.11.95)
  * Update symbols from build logs
  * New upstream release (5.12.0)
  * Pre-release tarball respun, so rename to 5.12.0a

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:16 +0000

plasma-workspace (4:5.11.5-0ubuntu3) bionic; urgency=medium

  * For now, do not build against appstream, as  0.11.8 causes a build
    failure. This means the appstream runner is not built. Can be
    reverted when appstream or otherwise is fixed.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 24 Jan 2018 12:13:04 +0000

plasma-workspace (4:5.11.5-0ubuntu2) bionic; urgency=medium

  * Rebuild with appstream 0.11.8

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jan 2018 17:36:21 +0000

plasma-workspace (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:01 +0000

plasma-workspace (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:37 -0600

plasma-workspace (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * Update symbold from build logs
  * Install renamed & additional desktop files
  * Install PolicyKit-kde documentation
  * Update install files for removal of drkonqi to it's own source
    package
  * Install all locale
  * Add Section:libs to library packages as prompted by lintian
  * Refresh patches
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:21 +0000
