## plasma-workspace 5.12.8

=== debian/changelog ===
plasma-workspace (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)
  * debian/patches: Remove old dropped upstream patches.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:31 +0100

plasma-workspace (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:15 +0100

plasma-workspace (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:46 +0100

plasma-workspace (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * An explicit build depend on libmpfr-dev is now required for the
    qalculate krunner
  * Drop upstream_fix-Klipper-notifications.patch
  * Drop patches requested by upstream KDE to fix the weather applet
  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:35:00 +0100
