## plasma-workspace 5.12.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(plasma-workspace)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.9")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
