=== applets/notifications/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.notifications)
