=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.42.0~),
                kinit-dev (>= 5.42.0~),
-               kscreenlocker-dev (>= 5.12.4~),
-               kwin-dev (>= 4:5.12.4~),
+               kscreenlocker-dev (>= 5.12.8~),
+               kwin-dev (>= 4:5.12.8~),
                libappstreamqt-dev (>= 0.10.4~),
                libboost-dev,
                libdbusmenu-qt5-dev,
@@ -36,16 +36,17 @@
                libkf5plasma-dev (>= 5.42.0~),
                libkf5prison-dev (>= 5.42.0~),
                libkf5runner-dev (>= 5.42.0~),
-               libkf5screen-dev (>= 4:5.12.4~),
+               libkf5screen-dev (>= 4:5.12.8~),
                libkf5solid-dev (>= 5.42.0~),
                libkf5su-dev (>= 5.42.0~),
-               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5sysguard-dev (>= 4:5.12.8~),
                libkf5texteditor-dev (>= 5.42.0~),
                libkf5textwidgets-dev (>= 5.42.0~),
                libkf5wallet-dev (>= 5.42.0~),
                libkf5wayland-dev (>= 4:5.42.0~),
                libkf5webkit-dev (>= 5.42.0~),
                libkf5xmlrpcclient-dev (>= 5.42.0~),
+               libmpfr-dev,
                libnm-dev | libnm-glib-dev,
                libpam0g-dev,
                libphonon4qt5-dev (>= 4:4.8.0-5),
@@ -83,7 +84,7 @@
                qtdeclarative5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
-               xcb-proto
+               xcb-proto,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
@@ -229,12 +230,12 @@
 Architecture: any
 Depends: libkf5itemmodels-dev (>= 5.42.0~),
          libkf5plasma-dev (>= 5.42.0~),
-         libkf5sysguard-dev (>= 4:5.12.4~),
+         libkf5sysguard-dev (>= 4:5.12.8~),
          libkf5windowsystem-dev (>= 5.42.0~),
          plasma-workspace (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${allLibraries},
-         ${misc:Depends}
+         ${misc:Depends},
 Conflicts: kde-workspace-dev
 Replaces: kde-workspace-dev
 Description: Plasma Workspace for KF5 devel files
